Subject: Re: [PATCH] net: avoid net core runtime resume for most drivers

From: Jakub Kicinski <[email-masked]>
Date: Fri, 9 Feb 2024 12:45:36 -0800

On Wed,  7 Feb 2024 10:51:11 +0100 Stanislaw Gruszka wrote:
> Introducing runtime resume before ndo_open and ethtool ops by commits:
> 
> d43c65b05b84 ("ethtool: runtime-resume netdev parent in ethnl_ops_begin")
> bd869245a3dc ("net: core: try to runtime-resume detached device in __dev_open")

We should revisit whether core should try to help drivers with PM
or not once the Intel drivers are fixed. Taking the global networking
lock from device resume routine is inexcusable. I really don't want to
make precedents for adjusting the core because driver code is poor
quality :(